crashpad::ElfDynamicArrayReader Class Reference

A reader for ELF dynamic arrays mapped into another process. More...

`#include "snapshot/elf/elf_dynamic_array_reader.h"`

## Public Member Functions

bool | Initialize (const ProcessMemoryRange &memory, VMAddress address, VMSize size)
| Initializes the reader. More...
template<typename V >
bool | GetValue (uint64_t tag, bool log, V *value)
| Retrieve a value from the array. More...

## Detailed Description

A reader for ELF dynamic arrays mapped into another process.

## Member Function Documentation

## GetValue()

template<typename V >

bool crashpad::ElfDynamicArrayReader::GetValue | ( | uint64_t | tag,
|  | bool | log,
|  | V * | value
| ) |  |

inline

Retrieve a value from the array.

Parameters

  [in] | tag | Specifies which value should be retrieved. The possible values for this parameter are the `DT_*` values from `<elf.h>`.
  [in] | log | Specifies whether an error should be logged if tag is not found.
  [out] | value | The value, casted to an appropriate type, if found.

Returns
  `true` if the value is found.

## Initialize()

bool crashpad::ElfDynamicArrayReader::Initialize | ( | const ProcessMemoryRange & | memory,
|  | VMAddress | address,
|  | VMSize | size
| ) |  |

Initializes the reader.

This method must be called once on an object and must be successfully called before any other method in this class may be called.

Parameters

  [in] | memory | A memory reader for the remote process.
  [in] | address | The address in the remote process' address space where the ELF dynamic table is loaded.
  [in] | size | The maximum number of bytes to read.

The documentation for this class was generated from the following files:

- snapshot/elf/elf_dynamic_array_reader.h
- snapshot/elf/elf_dynamic_array_reader.cc